View Issue Details

IDProjectCategoryView StatusLast Update
0006447mantisbtfilterspublic2014-12-08 00:34
ReporterdtgriscomAssigned Todaryn 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.0.0rc3 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0006447: The filter table columns shouldn't be used to divide the "Search/Filters" row at the bottom of the table.
Description

If you create filters with long names, then the "Severity", "Resolution" and "Profile" columns get very wide, while the "Reporter", "Modified By", "Assigned To" and "Category" columns get squished. This is because the bottom row in the "Filters" table (with the white background) is divided based on the columns above (using colspan), rather than being its own nested table.

Having that last row be a full-width nested table would allow it to allocate its screen width for best appearance, while the filter entries above could separately allocate their width for their best appearance.

TagsNo tags attached.

Relationships

related to 0015721 closedgrangeway Functionality to consider porting to master-2.0.x 

Activities

daryn

daryn

2010-09-01 15:45

reporter   ~0026543

The Search row is no longer included in the table.

grangeway

grangeway

2013-04-05 17:57

reporter   ~0036495

Marking as 'acknowledged' not resolved/closed to track that change gets ported to master-2.0.x branch

Related Changesets

MantisBT: master 34a69a70

2010-09-07 19:13:12

daryn

Details Diff
Fix 0006447 - The filter table columns shouldn't be used to divide the
"Search/Filters" row at the bottom of the table. Improve layout and styling for filter. Floating elements were breaking out
of the box. Now the box grows to contain elements floating on new lines.
mod - core/filter_api.php Diff File
mod - css/default.css Diff File

Issue History

Date Modified Username Field Change
2005-12-01 12:09 dtgriscom New Issue
2010-09-01 15:45 daryn Note Added: 0026543
2010-09-01 15:45 daryn Status new => resolved
2010-09-01 15:45 daryn Fixed in Version => 1.3.0-beta.1
2010-09-01 15:45 daryn Resolution open => fixed
2010-09-01 15:45 daryn Assigned To => daryn
2010-09-07 15:15 daryn Changeset attached => MantisBT master 34a69a70
2013-04-05 17:57 grangeway Status resolved => acknowledged
2013-04-05 17:57 grangeway Note Added: 0036495
2013-04-05 18:05 grangeway Relationship added related to 0015721
2013-04-06 09:26 dregad Tag Attached: 2.0.x check
2013-04-06 09:26 dregad Status acknowledged => resolved
2013-04-27 17:55 atrol Target Version => 1.3.0-beta.1
2014-09-23 18:05 grangeway Tag Detached: 2.0.x check
2014-12-08 00:34 vboctor Status resolved => closed